TTF_Text(3type)

NAME
TTF_Text - Text created with TTF_CreateText ()

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

typedef struct TTF_Text
{
    char *text;             /**< A copy of the UTF-8 string that this text object represents, useful for layout, debugging and retrieving substring text. This is updated when the text object is modified and will be freed automatically when the object is destroyed. */
    int num_lines;          /**< The number of lines in the text, 0 if it's empty */

    int refcount;           /**< Application reference count, used when freeing surface */

    TTF_TextData *internal; /**< Private */

} TTF_Text;

AVAILABILITY
This struct is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_CreateText(3), •(3), TTF_GetTextProperties(3), •(3), TTF_DestroyText(3)